{% set truncate = truncate or 180 %}
{% set truncate_title = truncate_title or 90 %}
{% set title = query.query_name %}
{% set notes = query.query_description %}
{% set url_params = query.url_params %}
{% set date_created = query.date_created %}

{% block query_item %}
    <li class="{{ item_class or "dataset-item" }}">
        {% block content %}
            <div class="dataset-content">
                {% block heading %}
                    <div class="dataset-heading-wrapper">
                        <h3 class="dataset-heading">
                            {% block heading_title %}
                                {{ h.link_to(h.truncate(title, truncate_title), h.url_for(controller='package', action='search') + '?' + url_params) }}

                                <small>{{ h.render_datetime(date_created, with_hours=False) }}</small>
                            {% endblock %}

                            {% block delete_button %}
                                {% if query.id %}
                                      {% set locale = h.dump_json({'content': _('Are you sure you want to delete this query?')}) %}

                                      <a class="pull-right icon-trash" href="{{ h.url_for(controller='ckanext.eodp.query_controller:QueryController', action='delete', id=c.user, query_id=query.id) }}" data-module="confirm-action" data-module-i18n="{{ locale }}"></a>
                                {% endif %}
                            {% endblock %}
                        </h3>
                    </div>
                {% endblock %}
                {% block text %}
                    {% if notes %}
                        <div>{{ notes }}</div>
                    {% else %}
                        <p class="empty">{{ _("This query has no description") }}</p>
                    {% endif %}
                {% endblock %}

            </div>
        {% endblock %}
    </li>
{% endblock %}
